| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::MonoMaterialPass Class Reference

A pass rendering the scene, using only one shader to render all the meshes enqueued. More...

Inheritance diagram for nkGraphics::MonoMaterialPass:

## Public Member Functions
Shader * | getShader () const
virtual void | setShader (Shader *shade)
virtual void | exportClassToTree (nkExport::Node *rootNode) override
virtual void | importClassFromTree (nkExport::Node *rootNode) override
Public Member Functions inherited from nkGraphics::RenderScenePass
RenderQueue * | getRenderQueue () const
Camera * | getRenderCamera () const
Camera * | getCullingCamera () const
Camera * | getLodCamera () const
BlendState * | getBlendState () const
RasterState * | getRasterState () const
DepthStencilState * | getDepthStencilState () const
bool | isTransparentPass () const
void | setRenderQueue (RenderQueue *queue)
void | setRenderCamera (Camera *cam)
void | setCullingCamera (Camera *cam)
void | setLodCamera (Camera *cam)
virtual void | setBlendState (BlendState *state)
virtual void | setRasterState (RasterState *state)
virtual void | setDepthStencilState (DepthStencilState *state)
void | setTransparentPass (bool value)
Public Member Functions inherited from nkGraphics::Pass
| Pass (System *system) noexcept
virtual | ~Pass ()
System * | getSystem () const
TargetOperations * | getParent () const
PASS_TYPE | getType () const
nkMemory::StringView | getName () const
void | setParent (TargetOperations *parent)
void | setName (nkMemory::StringView name)
Public Member Functions inherited from nkExport::Exportable
| Exportable () noexcept
virtual | ~Exportable ()

## Detailed Description

A pass rendering the scene, using only one shader to render all the meshes enqueued.

This type of pass will ignore all materials set per Entity in the RenderQueu. It is useful for deferred rendering (G-buffer filling), or shadow map rendering, for instance.
See TargetOperations::addMonoMaterialPass() to use it.

## Member Function Documentation

## ◆ getShader()

Shader* nkGraphics::MonoMaterialPass::getShader | ( |  | ) | const

Returns
  The shader used to render all instances.

## ◆ setShader()

virtual void nkGraphics::MonoMaterialPass::setShader | ( | Shader * | shade | ) |
| virtual

Sets the shader to use to render all instances.

Parameters

  shade | The shader to use.

## ◆ exportClassToTree()

virtual void nkGraphics::MonoMaterialPass::exportClassToTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Exports an item into a tree describing its structure and its data.

Parameters

  rootNode | The node into which the object has to write its related information.

Reimplemented from nkGraphics::RenderScenePass.

## ◆ importClassFromTree()

virtual void nkGraphics::MonoMaterialPass::importClassFromTree | ( | nkExport::Node * | rootNode | ) |
| override virtual

Imports information from a tree which is supposed to describe its structure and data.

Parameters

  rootNode | The root node of the tree holding the information.

Reimplemented from nkGraphics::RenderScenePass.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Passes/MonoMaterialPass.h